DaemonScript Help

DaemonScript
 Copyright 2002-2003 Andareed

What is DaemonScript? DaemonScript is an advanced scripting tool for DAEMON Tools and Alcohol 120%/52%. It allows you to easily create scripts that can perform various actions associated with the virtual drives of DAEMON Tools and Alcohol 120%/52%.

What kind of script actions are there? You can add any of the following script actions:

  • Mount: Allows you to mount any supported image to any Virtual DVD-ROM
  • Unmount: Allows you to unmount any virtual device
  • DeviceCount: Changes the number of Virtual DVD-ROMs available
  • Emulations: Enables or disables any combination of Safedisc, Securom, Laserlock, RMPS, or Hide Media Type emulations
  • RunApp: Executes an application, including optional parameters and startup directory
  • Delay: Inserts a time delay between script actions
  • WaitForApp: Watis for an application to be terminated or executed before executing the next script item

What other features does DaemonScript include?
  • An easy-to-use dialog that allows you to create shortcuts to your scripts
  • Edit and Execute context menu items for scripts within explorer and common dialogs
  • Automtic updating and downloading of new versions
  • Drag-and-drop, auto-complete, and tooltip functionality

What operating systems does DameonScript work on? DaemonScript has been tested on Windows 98, 2000, and XP. It may work under Windows 95 and NT 4.0, but it has not been tested on these systems! For these systems, you will need Microsoft Internet Explorer 3.0 or greater installed. You will also need Windows Installer 1.0 or greater installed. It should also work on Windows Server 2003 and Windows Longhorn but it has not been tested yet.